Bug 108397 - No Sound from Dell Precision Workstation 360 Integrated Audio
No Sound from Dell Precision Workstation 360 Integrated Audio
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-28 18:02 EST by Thomas Chung
Modified: 2015-01-04 17:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 00:30:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Chung 2003-10-28 18:02:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031016

Description of problem:
We have a brand new Dell Precision Workstation 360 with Integrated Audio. It is
Analog Devices Inc AD1980 AC97 Codec.
See following link for more information:
http://www.analog.com/Analog_Root/productPage/productHome/0,2121,generic%253DAD1980%2526level4%253D%25252D1%2526level1%253D214%2526level2%253D%25252D1%2526level3%253D%25252D1%2526resourceWebLawID%253D0,00.html

We have installed Fedora Core 0.95.
It detected the sound card as following:
Intel Corp. 82801EB AC'97 Audio Controller i810_audio

But we could not hear any sound even with proper settings with 
gnome-volume-control: All channels are about 80% and none of them are muted 

Here is more information from lspci:
[root@localhost root]# lspci -v | grep audio -A 8
00:1f.5 Multimedia audio controller: Intel Corp. 82801EB AC'97 Audio Controller
(rev 02)
        Subsystem: Dell Computer Corporation: Unknown device 0156
        Flags: bus master, medium devsel, latency 0, IRQ 17
        I/O ports at ee00 [size=256]
        I/O ports at edc0 [size=64]
        Memory at febffa00 (32-bit, non-prefetchable) [size=512]
        Memory at febff900 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2


Version-Release number of selected component (if applicable):
redhat-config-soundcard-1.0.8-2

How reproducible:
Always

Steps to Reproduce:
1. Fresh install Fedora Core 0.95
2. Open redhat-config-soundcard to detect the soundcard
3. Open gnome-volume-control to adjust the volume
4. Open redhat-config-soundcard to test the sound
    

Actual Results:  No Sound from Dell Precision Workstation 360 Integrated Audio

Expected Results:  We expected a test sound from redhat-config-soundcard.

Additional info:

We even played a audio cd using gnome-cd but no sound
Comment 1 Bill Nottingham 2003-10-29 08:53:21 EST
Are there any odd messages when you load the driver?
Comment 2 Thomas Chung 2003-10-29 16:26:00 EST
No, I didn't see any odd messages.

Here is some additional information:

[root@localhost root]# lsmod | grep i810
i810_audio             29064   1  (autoclean)
ac97_codec             17420   0  (autoclean) [i810_audio]
soundcore               7044   2  (autoclean) [i810_audio]

[root@localhost root]# dmesg | grep i810
i810: Intel ICH5 found at IO 0xedc0 and 0xee00, MEM 0xfebffa00 and 0xfebff900,
IRQ 17
i810: Intel ICH5 mmio at 0xe0a37a00 and 0xe0a39900
i810_audio: Primary codec has ID 2
i810_audio: Audio Controller supports 6 channels.
i810_audio: Defaulting to base 2 channel mode.
i810_audio: Resetting connection 0
i810_audio: Connection 0 with codec id 2
i810_audio: AC'97 codec 2 supports AMAP, total channels = 6

I wish I could give more information you need.
Comment 3 Ben Best 2004-01-05 13:08:27 EST
I have the EXACT same problem with a Dell Workstation 360.  The Dell
website has an ALSA rpm available for download, but that is for Redhat
Enterprise, not Fedora and assumes ALSA is already installed I think.
 I have been trying to install the correct ALSA driver according to

 
http://www.alsa-project.org/alsa-doc/doc-php/template.php?company=Analog+Devices&card=AD1980&chip=AD1980&module=via82xx

but get stuck with 
 modprobe snd-via82xx;modprobe snd-pcm-oss;modprobe
snd-mixer-oss;modprobe snd-seq-oss

which returns
  /lib/modules/2.4.22-1.2115.nptlsmp/kernel/sound/pci/snd-via82xx.o:
init_module: No such device

This may have something to do with the IRQ or device being used by the
i810_audio module already
  http://www.ussg.iu.edu/hypermail/linux/kernel/0304.0/1509.html

I'm a linux beginner so I think I've tapped out my abilities for the
moment.  If anybody has tips on how to get past this problem, I'd very
much appreciate knowing.

Thanks, Ben (bbest at duke.edu)
Comment 4 Barry K. Nathan 2004-09-02 00:36:20 EDT
If I remember correctly, this problem is fixed in Fedora Core 2. (I
think I'll be able to double-check this tomorrow.)
Comment 5 Dave Jones 2004-12-08 00:30:28 EST
fc1 - eol.  as sound changed dramatically between fc1 & fc2 (oss -> ALSA), it's
unlikely this is the same bug. Please open a new fc2 bug if sound still doesnt
work with latest updates.
Comment 6 Jerry 2005-01-30 23:30:37 EST
Working with a newbie on a similar bug on Dell 2350.  All seems to
install Ok, just no sound.  This is a fresh install of FC3 with all
updates.  What info do you need?  If someone forks a new bug on this
please post here so I can find it.  Or let me know and I will do it.
Comment 7 Jerry 2005-02-01 01:24:28 EST
Got it resolved, not a bug

Note You need to log in before you can comment on or make changes to this bug.